<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC
      "-//Apache Software Foundation//DTD Tiles Configuration 2.0//EN"
      "http://tiles.apache.org/dtds/tiles-config_2_0.dtd">

<tiles-definitions>

  <definition name="blog.EntryIndex" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/blog/EntryIndex.jsp"/>
  </definition>

  <definition name="blog.EntryView" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/blog/EntryView.jsp"/>
  </definition>

  <definition name="blog.Form" extends="layout">
    <put-attribute name="focusedInputId" value="blog.Form.code" type="string"/>
    <put-attribute name="body" value="/WEB-INF/view/blog/Form.jsp"/>
  </definition>

  <definition name="blog.Index" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/blog/Index.jsp"/>
  </definition>

  <definition name="blog.PublicBlogs" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/blog/PublicBlogs.jsp"/>
  </definition>

  <definition name="blog.PublicBlogsWidget" template="/WEB-INF/view/blog/PublicBlogsWidget.jsp" preparer="blogPublicBlogsWidgetPreparer"/>

  <definition name="blog.View" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/blog/View.jsp"/>
  </definition>

</tiles-definitions>
